# ECE 106: Electricity and Magnetism

## MATH 117 review

!!! definition
    A definite integral is composed of:
    
    - the **upper limit**, $b$,
    - the **lower limit**, $a$,
    - the **integrand**, $f(x)$, and
    - the **differential element**, $dx$.

$$\int^b_a f(x)\ dx$$

The original function **cannot be recovered** from the result of a definite integral unless it is known that $f(x)$ is a constant.

## N-dimensional integrals

Much like how $dx$ represents an infinitely small line, $dx\cdot dy$ represents an infinitely small rectangle. This means that the surface area of an object can be expressed as:

$$dS=dx\cdot dy$$

Therefore, the area of a function can be expressed as:

$$S=\int^x_0\int^y_0 dy\ dx$$

where $y$ is usually equal to $f(x)$, changing on each iteration.

!!! example
    The area of a circle can be expressed as $y=\pm\sqrt{r^2-x^2}$. This can be reduced to $y=2\sqrt{r^2-x^2}$ because of the symmetry of the equation.
    
    $$
    \begin{align*}
    A&=\int^r_0\int^{\sqrt{r^2-x^2}}_0 dy\ dx \\
    &=\int^r_0\sqrt{r^2-x^2}\ dx
    \end{align*}
    $$

!!! warning
    Similar to parentheses, the correct integral squiggly must be paired with the correct differential element.

These rules also apply for a system in three dimensions:

| Vector | Length | Area | Volume | 
| --- | --- | --- | --- |
| $x$ | $dx$ | $dx\cdot dy$ | $dx\cdot dy\cdot dz$ |
| $y$ | $dy$ | $dy\cdot dz$ | |
| $z$ | $dz$ | $dx\cdot dz$ | |

Although differential elements can be blindly used inside and outside an object (e.g., area), the rules break down as the **boundary** of an object is approached (e.g., perimeter). Applying these rules to determine an object's perimeter will result in the incorrect deduction that $\pi=4$.

Therefore, further approximations can be made by making a length $\dl=\sqrt{(dx)^2+(dy)^2}$ to represent the perimeter.

!!! example
    This reduces to $dl=\sqrt{\left(\frac{dy}{dx}\right)^2+1}$.

### Polar coordinates

Please see [MATH 115: Linear Algebra#Polar form](/1a/math115/#polar-form) for more information.

In polar form, the difference in each "rectangle" side length is slightly different.

| Vector | Length difference |
| --- | --- |
| $\hat r$ | $dr$ |
| $\hat\phi$ | $rd\phi$ |

Therefore, the change in surface area is equal to:

$$dS=(dr)(rd\phi)$$

## Cartesian coordinates

The axes in a Cartesian coordinate plane must be orthogonal so that increasing a value in one axis does not affect any other. The axes must also point in directions that follow the **right hand rule**.

